polybori::groebner::IJPairData Class Reference

This class defines IJPairData. More...

`#include <IJPairData.h>`

Inheritance diagram for polybori::groebner::IJPairData:

## Public Member Functions

Polynomial | extract (const PolyEntryVector &v) const
| IJPairData (int i, int j)
Public Member Functions inherited from polybori::groebner::PairData
virtual | ~PairData ()

## Public Attributes

int | i
int | j

## Detailed Description

This class defines IJPairData.

## Constructor & Destructor Documentation

polybori::groebner::IJPairData::IJPairData | ( | int | i,
|  | int | j
| ) |  |

inline

## Member Function Documentation

Polynomial polybori::groebner::IJPairData::extract | ( | const PolyEntryVector & | v) |  | const

inline virtual

Implements polybori::groebner::PairData.

References polybori::spoly().

## Member Data Documentation

int polybori::groebner::IJPairData::i

Referenced by polybori::groebner::CheckChainCriterion< StrategyType >::compute(), and polybori::groebner::NextSpoly::compute().

int polybori::groebner::IJPairData::j

Referenced by polybori::groebner::CheckChainCriterion< StrategyType >::compute(), and polybori::groebner::NextSpoly::compute().

The documentation for this class was generated from the following file:

- IJPairData.h